import history from '../../utils/history';
const app = getApp();
Component({
  props: {
    componentData: {}
  },
  data: {
    imgSrcPrefix: app.globalData.imgSrcPrefix
  },
  methods: {
    async gotoJiuyi(e) {
      console.log('11111111');
      history.push({
        title: '就医指南',
        pageType: 'patient-guide'
      })
    },
    toMorePage() {
      const {
        componentData
      } = this.props;
      const {
        componentExtInfo = {}
      } = componentData;
      history.push({
        title: '全部功能',
        pageType: 'all-general-services',
        componentData: { ...componentData,
          componentExtInfo: {
            allPage: true,
            ...componentExtInfo
          }
        }
      });
    }

  }
});